<!DOCTYPE html>
<html>
<head>
	<title> Task3 </title>
	<link rel="stylesheet" type="text/css" href="style.css">
	<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
	<link href = "https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css" rel = "stylesheet">
    <script src = "https://code.jquery.com/jquery-1.10.2.js"></script>
    <script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>
</head>
<body style="background-color:black;">

<h2 class="task">Task 3</h2>
<canvas id="myCanvas" width="940" height="980"
style="border:1px solid #d3d3d3; margin-top:0%; margin-left:15%;margin-right:15%; margin-bottom:5%;position: absolute; background-color:white;">
Your browser does not support the HTML5 canvas tag.
</canvas>
<p class="task_question2">Drag and drop the boxes to make appropriate pairs of element and their symbols<br>
Then arrange them according to their periodic table order.</p>

<div id = "imageListId">
        <div id="imageNo1" class = "listitemClass">
            <p class="element">Hydrogen</p>
        </div>
		
		<div id="imageNo19" class = "listitemClass">
            <p class="element">Photassium</p>
        </div>
		
        <div id="imageNo2" class = "listitemClass">
            <p class="element">Helium</p>
        </div>
		
		<div id="imageNo11" class = "listitemClass">
            <p class="element">Sodium</p>
        </div>
		
        <div id="imageNo4" class = "listitemClass">
            <p class="element">Beryllium</p>
        </div>
		
       <div id="imageNo12" class = "listitemClass">
            <p class="element">Magnesium</p>
        </div>
		
		<div id="imageNo6" class = "listitemClass">
            <p class="element">Carbon</p>
        </div>
		
        <div id="imageNo7" class = "listitemClass">
            <p class="element">Nitrogen</p>
        </div>
		
		<div id="imageNo15" class = "listitemClass">
            <p class="element">Phosphorus</p>
        </div>
		
        <div id="imageNo10" class = "listitemClass">
            <p class="element">Neon</p>
        </div>
		
		<div id="imageNo3" class = "listitemClass">
            <p class="element">Lithium</p>
        </div>
		
		<div id="imageNo9" class = "listitemClass">
            <p class="element">Flourine</p>
        </div>
		
        <div id="imageNo13" class = "listitemClass">
            <p class="element">Aluminum</p>
        </div>
		
		 <div id="imageNo5" class = "listitemClass">
            <p class="element">Boron</p>
        </div>
		
		<div id="imageNo14" class = "listitemClass">
            <p class="element">Silicon</p>
        </div>
		
        <div id="imageNo16" class = "listitemClass">
            <p class="element">Sulphur</p>
        </div>
		
		<div id="imageNo17" class = "listitemClass">
            <p class="element">Chlorine</p>
        </div>
		
		<div id="imageNo18" class = "listitemClass">
            <p class="element">Argon</p>
        </div>
		
		<div id="imageNo20" class = "listitemClass">
            <p class="element">Calsium</p>
        </div>
		
		<div id="imageNo8" class = "listitemClass">
            <p class="element">Oxygen</p>
        </div>
		
    </div>
	
	<div id = "imageListId-left">
        
		<div id="imageNo8" class = "listitemClasse">
            <p class="element">O</p>
        </div>
		
		<div id="imageNo13" class = "listitemClasse">
            <p class="element">Al</p>
        </div>
		
        <div id="imageNo2" class = "listitemClasse">
            <p class="element">He</p>
        </div>		
		
        <div id="imageNo5" class = "listitemClasse">
            <p class="element">B</p>
        </div>
		
        <div id="imageNo7" class = "listitemClasse">
            <p class="element">N</p>
        </div>
		
		<div id="imageNo16" class = "listitemClasse">
            <p class="element">S</p>
        </div>
		
		<div id="imageNo1" class = "listitemClasse">
            <p class="element">H</p>
        </div>
		
		<div id="imageNo10" class = "listitemClasse">
            <p class="element">Ne</p>
        </div>
		
        <div id="imageNo9" class = "listitemClasse">
            <p class="element">F</p>
        </div>
		
		<div id="imageNo4" class = "listitemClasse">
            <p class="element">Be</p>
        </div>
		
		<div id="imageNo3" class = "listitemClasse">
            <p class="element">Li</p>
        </div>
		
		<div id="imageNo11" class = "listitemClasse">
            <p class="element">Na</p>
        </div>
		
		<div id="imageNo12" class = "listitemClasse">
            <p class="element">Mg</p>
        </div>
		
		<div id="imageNo14" class = "listitemClasse">
            <p class="element">Si</p>
        </div>
		
		<div id="imageNo20" class = "listitemClasse">
            <p class="element">Ca</p>
        </div>
		
        <div id="imageNo6" class = "listitemClasse">
            <p class="element">C</p>
        </div>
		
		<div id="imageNo17" class = "listitemClasse">
            <p class="element">Cl</p>
        </div>
		
		<div id="imageNo18" class = "listitemClasse">
            <p class="element">Ar</p>
        </div>
		
		<div id="imageNo15" class = "listitemClasse">
            <p class="element">P</p>
        </div>
		
		<div id="imageNo19" class = "listitemClasse">
            <p class="element">K</p>
        </div>
		
    </div>
	
	<a href="#" onclick="doClick(); return false;"><img class="icon2" src="https://img.icons8.com/flat-round/64/000000/fast-forward--v1.png"/></a>
<script>

var c = document.getElementById("myCanvas");
var ctx = c.getContext("2d");
var t3=0;
var page1=sessionStorage.getItem("page1");
var page2=sessionStorage.getItem("page2");
var page3="null";
console.log(page1,page2,page3);

function doClick() {
   if (page1=="t1"&&page2=="t2"&&page3=="null"){
       window.location.href = "first.html";
	   }
   else if (page1=="t1"&&page2=="null"&&page3=="null"){
       window.location.href = "task2.html";
	   }
	else if (page1=="null"&&page2=="null"&&page3=="null"){
       window.location.href = "task1.html";
	}
	else if (page1=="null"&&page2=="t2"&&page3=="null"){
       window.location.href = "task1.html";
	}
}

 $(function() {
            $( "#imageListId" ).sortable({
            update: function(event, ui) {
                getIdsOfImages();
            }//end update         
            });
        });
		
		$(function() {
            $( "#imageListId-left" ).sortable({
            update: function(event, ui) {
                getIdsOfImageselement();
            }//end update         
            });
        });
          
		  
		  
		  
        function getIdsOfImages() {
            var values = [];
            $('.listitemClass').each(function (index) {
                values.push($(this).attr("id")
                        .replace("imageNo", ""));
            });
              
            $('#outputvalues').val(values);
			console.log(values);
			var arr=["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"];
			console.log(arr);
			if(values.toString()==arr.toString()){
			console.log("thappidda");
			++t3;
			if(t3==2){
		page3="t3";
		if(page1=="null"&&page2=="null"&&page3=="t3"||page1!="t1"&&page2!="t2"&&page3=="t3"){
		window.location.replace("bronze.html");
		}
		else if(page1=="t1"&&page2=="null"&&page3=="t3"){
		window.location.replace("silver.html");
		}
		else if(page1=="t1"&&page2=="t2"&&page3=="t3"){
		window.location.replace("gold.html");
		}
		else if(page1=="null"&&page2=="t2"&&page3=="t3"){
		window.location.replace("silver.html");
		}
	sessionStorage.setItem("page3",page3);
	sessionStorage.setItem("page1",page1);
sessionStorage.setItem("page2",page2);
console.log(page1,page2,page3);	
		}
			}
		
		}
		function getIdsOfImageselement() {
            var values1 = [];
            $('.listitemClasse').each(function (index) {
                values1.push($(this).attr("id")
                        .replace("imageNo", ""));
            });
              
            $('#outputvalues').val(values1);
			console.log(values1);
			var arr1=["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"];
			console.log(arr1);
			if(values1.toString()==arr1.toString()){
			console.log("thappidda");
			++t3;
			console.log(t3);
		if(t3==2){
		page3="t3";
		if(page1=="null"&&page2=="null"&&page3=="t3"||page1!="t1"&&page2!="t2"&&page3=="t3"){
		window.location.replace("bronze.html");
		}
		else if(page1=="t1"&&page2=="null"&&page3=="t3"){
		window.location.replace("silver.html");
		}
		else if(page1=="t1"&&page2=="t2"&&page3=="t3"){
		window.location.replace("gold.html");
		}
		else if(page1=="null"&&page2=="t2"&&page3=="t3"){
		window.location.replace("silver.html");
		}
	sessionStorage.setItem("page3",page3);
	sessionStorage.setItem("page1",page1);
sessionStorage.setItem("page2",page2);
console.log(page1,page2,page3);	
		}
			}
		
		}
		
		


</script>

</body>
</html>